> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar recorrências de tarefas



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json get /task/recurrence
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /task/recurrence:
    get:
      tags:
        - Tasks
      summary: Listar recorrências de tarefas
      parameters:
        - schema:
            type: integer
            minimum: 1
          in: query
          name: page
          required: false
        - schema:
            type: integer
            minimum: 1
            maximum: 100
          in: query
          name: limit
          required: false
        - schema:
            anyOf:
              - type: string
                enum:
                  - 'true'
                  - 'false'
              - type: boolean
          in: query
          name: isActive
          required: false
        - schema:
            type: string
            format: uuid
          in: query
          name: sourceTaskId
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        sourceTaskId:
                          type: string
                          format: uuid
                          nullable: true
                        createdById:
                          type: string
                          format: uuid
                          nullable: true
                        frequency:
                          type: string
                          enum:
                            - daily
                            - weekly
                            - monthly
                        interval:
                          type: integer
                        anchorDate:
                          type: string
                        lastGeneratedDate:
                          type: string
                          nullable: true
                        isActive:
                          type: boolean
                        title:
                          type: string
                          nullable: true
                        nextTaskDate:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - sourceTaskId
                        - createdById
                        - frequency
                        - interval
                        - anchorDate
                        - lastGeneratedDate
                        - isActive
                        - title
                        - nextTaskDate
                        - createdAt
                        - updatedAt
                      additionalProperties: false
                    description: Recorrências
                  totalResults:
                    type: number
                    description: Total de registros
                  totalPages:
                    type: number
                    description: Total de páginas
                required:
                  - data
                  - totalResults
                  - totalPages
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````